# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nightrunner_lib"
version = "0.4.0"
authors = ["Aimeri Baddouh <aimeri@baddouh.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A parser library for making text adventure games"
documentation = "https://docs.rs/nightrunner_lib"
readme = "README.md"
keywords = [
    "engine",
    "parsing",
    "wasm",
    "game",
]
categories = ["parsing"]
license = "Apache-2.0"
repository = "https://github.com/aimerib/nightrunner-lib"
resolver = "2"

[lib]
name = "nightrunner_lib"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[example]]
name = "cursive_example"
crate-type = ["bin"]
path = "examples/cursive_example/main.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[[test]]
name = "web"
path = "tests/web.rs"

[dependencies.console_error_panic_hook]
version = "0.1.7"

[dependencies.getrandom]
version = "0.2.12"
features = ["js"]

[dependencies.rand]
version = "0.8.5"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde-wasm-bindgen]
version = "0.6.5"

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_yaml]
version = "0.9.33"

[dependencies.wasm-bindgen]
version = "0.2.92"
features = ["serde-serialize"]

[dev-dependencies.pretty_assertions]
version = "1.4.0"

[dev-dependencies.wasm-bindgen-test]
version = "0.3.42"

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.cursive]
version = "0.20.0"
features = ["crossterm-backend"]
default-features = false

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.cursive-aligned-view]
version = "0.6.0"
